From 814044968d5898c287b4af1b1947c72342364af7 Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@wsr.ac.at>
Date: Sat, 28 Sep 2019 11:31:15 +0200
Subject: [PATCH 1/7] Remove perl_fold_blocks

It's really slow
---
 .vimrc | 1 -
 1 file changed, 1 deletion(-)

diff --git a/.vimrc b/.vimrc
index 098a304..a4bdc73 100644
--- a/.vimrc
+++ b/.vimrc
@@ -37,7 +37,6 @@ map <F7> :cp
 map <F8> :cn
 map!  >I<yypa/O
 autocmd FileType perl let perl_fold=1
-autocmd FileType perl let perl_fold_blocks=1
 autocmd FileType perl syntax on
 
 autocmd FileType go set sw=8

From 6cefd7e45888a06e32b5c55beaa0bfa08f181b0f Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@wsr.ac.at>
Date: Thu, 10 Oct 2019 09:58:55 +0200
Subject: [PATCH 2/7] Remove obsolete comment

---
 .zshenv | 2 --
 1 file changed, 2 deletions(-)

diff --git a/.zshenv b/.zshenv
index 651fa8e..7c57377 100644
--- a/.zshenv
+++ b/.zshenv
@@ -54,8 +54,6 @@ then
 
     PATH=`$preppath -c /usr/bin/X11:/usr/games:/usr/contrib/bin`
     PATH=`$preppath -c /bin:/usr/bin`
-    # Debian's open/libre office is in /usr/bin, so we need to prepend 
-    # the current version before it:
     PATH=`$preppath -c /usr/sbin:/sbin`
     PATH=`$preppath -c /usr/local/sbin:/usr/local/bin`
     `$preppath -c -e /usr/local/node-v8.9.4-linux-x86/bin`

From c106c82fb8c74f00cb78752afd34cb1bf7067a64 Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@wsr.ac.at>
Date: Thu, 10 Oct 2019 10:10:43 +0200
Subject: [PATCH 3/7] Add local go bin directory to path

---
 .zshenv | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.zshenv b/.zshenv
index 7c57377..606839f 100644
--- a/.zshenv
+++ b/.zshenv
@@ -58,6 +58,7 @@ then
     PATH=`$preppath -c /usr/local/sbin:/usr/local/bin`
     `$preppath -c -e /usr/local/node-v8.9.4-linux-x86/bin`
     `$preppath -c -e -r /usr/lib/go-1.*/bin`
+    `$preppath -c -e -r $HOME/go/bin`
     PATH=`$preppath -c $HOME/scripts`
     PATH=`$preppath -c $HOME/bin/hosts:$HOME/bin`
 

From 411686c795385ff005711c1979183665f7799506 Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@wsr.ac.at>
Date: Thu, 10 Oct 2019 17:00:48 +0200
Subject: [PATCH 4/7] Define timestamp format for Oracle

---
 .zshenv | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.zshenv b/.zshenv
index 606839f..16dd836 100644
--- a/.zshenv
+++ b/.zshenv
@@ -133,6 +133,7 @@ case "$LANG" in
 esac
 
 export NLS_DATE_FORMAT='YYYY-MM-DD HH24:MI:SS'
+export NLS_TIMESTAMP_FORMAT='YYYY-MM-DD HH24:MI:SS.FF'
 
 
 if [ -x /usr/bin/less ]

From 9a1b52eee240fe513aa6185aa0b0a0446dc90aa0 Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@wsr.ac.at>
Date: Fri, 27 Dec 2019 20:08:53 +0100
Subject: [PATCH 5/7] Assume xterm has 256 colors

---
 .znewterm | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/.znewterm b/.znewterm
index 1d30148..f214735 100644
--- a/.znewterm
+++ b/.znewterm
@@ -28,6 +28,18 @@ then
 	TERM=xterm
 fi
 
+if [[ $TERM == xterm ]]
+then
+        for t in xterm-256color xterm+256color
+        do
+                if [[ -f /usr/share/terminfo/x/$t ]]
+                then
+                        TERM=$t
+                        break
+                fi
+        done
+fi
+
 case "$TERM" in
     xterm*|screen)
 	# indicated exit status by smiley (suggested by Stig Sandbeck Mathisen)

From be8eb03364deec3ffc1041b236b2d013632cc2eb Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@hjp.at>
Date: Tue, 31 Dec 2019 11:51:20 +0100
Subject: [PATCH 6/7] Accept xterm+256colors as an xterm variant

---
 .znewterm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.znewterm b/.znewterm
index f214735..944a661 100644
--- a/.znewterm
+++ b/.znewterm
@@ -57,7 +57,7 @@ case "$TERM" in
         ;;
 esac
 
-if [[ $TERM = xterm || $TERM = xterm-256color ]]
+if [[ $TERM = xterm || $TERM = xterm-256color || $TERM = xterm+256color ]]
 then
 	if [ -f ~/.zxtermcolors ]
 	then

From 471701393938d18fbf003977f0cc6cb7b3a30999 Mon Sep 17 00:00:00 2001
From: "Peter J. Holzer" <hjp@wsr.ac.at>
Date: Fri, 28 Feb 2020 10:49:11 +0100
Subject: [PATCH 7/7] Remove xterm+256color again but check /lib/terminfo

The terminal defintions with a + are just building blocks, not full
definitions. We can't use them.

OTOH, the definitions in /lib/terminfo seem to work fine in current
Debian and Ubuntu versions (which is what I care about these days), so
we accept them.
---
 .znewterm | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/.znewterm b/.znewterm
index 944a661..45ec463 100644
--- a/.znewterm
+++ b/.znewterm
@@ -23,20 +23,23 @@ then
 	stty erase 
 fi
 
-if [[ $TERM == xterm-256color && ! -f /usr/share/terminfo/x/xterm-256color ]]
+if [[ $TERM == xterm-256color && ! -f /usr/share/terminfo/x/xterm-256color && ! -f /lib/terminfo/x/xterm-256color ]]
 then
 	TERM=xterm
 fi
 
 if [[ $TERM == xterm ]]
 then
-        for t in xterm-256color xterm+256color
+        for t in xterm-256color
         do
-                if [[ -f /usr/share/terminfo/x/$t ]]
-                then
-                        TERM=$t
-                        break
-                fi
+                for dir in /usr/share/terminfo/x /lib/terminfo/x/
+                do
+                    if [[ -f $dir/$t ]]
+                    then
+                            TERM=$t
+                            break 2
+                    fi
+                done
         done
 fi
 
@@ -57,7 +60,7 @@ case "$TERM" in
         ;;
 esac
 
-if [[ $TERM = xterm || $TERM = xterm-256color || $TERM = xterm+256color ]]
+if [[ $TERM = xterm || $TERM = xterm-256color ]]
 then
 	if [ -f ~/.zxtermcolors ]
 	then
